/*
Theme Name:		 Homhero Southport Child Theme
Theme URI:		 https://homhero.com.au/
Description:             Southport Child is a child theme of Southport, created by Homhero
Author:			 HOMHERO
Author URI:		 https://homhero.com.au/
Template:		 homhero-southport
Version:		 1.0.11
Text Domain:             homhero-southport-child
*/

#searchResults .col-12.no-results {
    margin-bottom: 2rem;
}



body.home {

    & h2 {
        position: relative;
        padding-bottom: 20px;
        text-transform:uppercase;
    
        &.has-secondary-color,
        &.featured-listing-heading-h2 {
           color: var(--wp--preset--color--secondary) !important; 
        }
        
        &:after {
            content: '';
            position: absolute;
            bottom:4px;
            left:0;
            width: 64px;
            height: 8px;
            background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 160 20' width='160' height='20'%3E%3Cpath d='M157.28,3.07c-5.53,8.35-15.01,13.86-25.77,13.86s-20.24-5.51-25.77-13.86c-5.53,8.35-15,13.86-25.76,13.86s-20.25-5.51-25.77-13.86c-5.53,8.35-14.99,13.86-25.76,13.86S8.19,11.42,2.67,3.07' fill='none' stroke='%23b59049' stroke-width='5' stroke-linecap='round'/%3E%3C/svg%3E");
            background-repeat: no-repeat;
            background-size: 64px 8px; /* Adjust width/height to scale the wave size */
        }
    
        &.has-text-align-center:after {
            left:50%;
            transform:translateX(-50%);
        }
    }

    .wp-block-cover {
        & h2 {
            &:after {
                background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 160 20' width='160' height='20'%3E%3Cpath d='M157.28,3.07c-5.53,8.35-15.01,13.86-25.77,13.86s-20.24-5.51-25.77-13.86c-5.53,8.35-15,13.86-25.76,13.86s-20.25-5.51-25.77-13.86c-5.53,8.35-14.99,13.86-25.76,13.86S8.19,11.42,2.67,3.07' fill='none' stroke='%23ffffff' stroke-width='5' stroke-linecap='round'/%3E%3C/svg%3E");
            }
        } 
    }
    
    #hero {
        .banner-all-frames {        
            &:after {
                content:'';
                position: absolute;
                bottom:0;
                left:0;
                width:100%;
                padding-bottom:4%;
                background-image: url('images/image-border-bottom.png');
                background-size: contain;
                background-position: center bottom;
                background-repeat:no-repeat;
            }
        }
    }
    
}


.site-header:not(.transparent:not(.sticky)) {
    border-bottom: 4px solid var(--wp--preset--color--secondary);
}

.testimonialHero {
    &.unset-bg{
        .card.testimonial{
            background:unset;
            box-shadow:unset;
            border: 0;
        } 
    }
    &.text-white{
        .card.testimonial{
            color:#fff;
        }
    }
}

@media screen and (min-width: 1200px) {
    body .search-list-background .card-body {
        margin: 1rem 0 2rem 12vw;
    }
    body div#map-search .search-list-image-wrapper .listingImage > img {
        height: 200px;
    }
}

@media screen and (min-width: 1600px) {
    body .search-list-background .card-body {
        margin: 1rem 0 2rem 10vw;
    }
	 body  div#map-search .search-list-image-wrapper .listingImage > img {
        height: 200px;
    }
}
